package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会议室对象 conference_room
 * 
 * @author ruoyi
 * @date 2024-07-23
 */
public class ConferenceRoom extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会议室ID */
    private Long conferenceRoomId;

    /** 会议室名称 */
    @Excel(name = "会议室名称")
    private String conferenceRoomName;

    /** 会议室地址 */
    @Excel(name = "会议室地址")
    private String conferenceRoomAddress;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    public void setConferenceRoomId(Long conferenceRoomId) 
    {
        this.conferenceRoomId = conferenceRoomId;
    }

    public Long getConferenceRoomId() 
    {
        return conferenceRoomId;
    }
    public void setConferenceRoomName(String conferenceRoomName) 
    {
        this.conferenceRoomName = conferenceRoomName;
    }

    public String getConferenceRoomName() 
    {
        return conferenceRoomName;
    }
    public void setConferenceRoomAddress(String conferenceRoomAddress) 
    {
        this.conferenceRoomAddress = conferenceRoomAddress;
    }

    public String getConferenceRoomAddress() 
    {
        return conferenceRoomAddress;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("conferenceRoomId", getConferenceRoomId())
            .append("conferenceRoomName", getConferenceRoomName())
            .append("conferenceRoomAddress", getConferenceRoomAddress())
            .append("createDept", getCreateDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
